
.container {
    padding: 0 1.5rem;
}
 

.img-responsive2 {
    width: 100%;
    height: auto;
    display: block;
}

.top-bg {
    background-image: url(/webstatic/pic1.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    z-index: 1;
    height: 100vh;
    display: grid;
    place-items: center;
    color: white;
}

    .top-bg:after {
        position: absolute;
        content: '';
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        background-color: #000;
        opacity: .50;
        z-index: -1;
    }

.nav-item > a {
    font-size: 1rem;
    color: #fff
}

.rounded-full {
    padding: 0px 30px !important;
}

.gray-50-pale {
    color: #fff !important;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
}

.index_jt {
    position: absolute;
    bottom: 1rem;
    width: 100%;
    text-align: center;
    color: rgba(255, 255, 255, 0.5);
}

.menubox {
    position: fixed;
    top: 0;
    width: 100%;
    background: #2872f9;
    z-index: 10;
}

.pt-60 {
    padding-top: 60px;
}

.pt-80 {
    padding-top: 80px;
}

.pb-80 {
    padding-bottom: 80px;
}

.pb-100 {
    padding-bottom: 100px;
}

.pb-150 {
    padding-bottom: 150px;
}

.pt-120 {
    padding-top: 120px;
}

.ge_4 {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 40px;
}

.ge_4a {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 5px;
}

.ge_3 {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 40px;
}

.ge_2 {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 40px;
}

.ge_2d {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 0px;
}

.ge_2e {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 40px;
}

.ge_2f {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 40px;
}

.flip-container {
    width: 100%;
    height: 300px;
    perspective: 1000px;
}

.flip-card-ico {
    width: 4rem;
    height: 4rem;
    text-align: center;
    padding-top: 0.7rem;
    ;
    border-radius: 9999px;
    background-color: #e8f0ff;
    margin: 0 auto;
    color: #2872f9;
}

/* 翻转主体，应用翻转动画 */
.flip-card {
    width: 100%;
    height: 100%;
    position: relative;
    transform-style: preserve-3d; /* 保持子元素的3D空间 */
    transition: transform 0.6s ease; /* 翻转动画 */
}

/* 悬停时翻转180度 */
.flip-container:hover .flip-card {
    transform: rotateY(180deg);
}

/* 正面和背面的通用样式 */
.flip-card-side {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden; /* 关键：隐藏翻转时的背面 */
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    border-radius: 10px;
}

/* 正面样式 */
.flip-card-front {
}

/* 背面样式，初始时翻转180度，所以不可见 */
.flip-card-back {
    background-color: #2872f9;
    color: white;
    transform: rotateY(180deg); /* 初始翻转，使其背对 */
}

.f-50 {
    font-size: 24px;
}

.f-100 {
    font-size: 40px;
}

.f-30 {
    font-size: 12px;
}

#pcmenu {
    display: none
}

#phonemenu {
    display: block;
}
.phoneshow {
    display: none 
}

#phonemnu2 {
    width: 100vw;
    height: 100vh;
    background-color: #2872f9;
    z-index: 10;
    position: fixed;
    top: 0;
}

.menu {
    background: none;
    padding: 0 1rem;
}

.menu-item > .item-inner, .menu-item > a {
    font-size: 1rem;
    color: #fff;
    padding: 0.5rem;
}

.img-responsive {
    max-width: 100%;
    height: auto;
    display: block;
}

#phonemnu2 {
    display: none;
    z-index: 20;
}

#phonemenu3 {
    width: 100vw;
    position: fixed;
    background-color: #2872f9;
    bottom: 0;
    z-index: 15;
}

#kfbox {
    position: fixed;
    bottom: 20%;
    right: 0.5rem;
    z-index: 16;
    display: none;
    cursor: pointer;
}

.pcphone {
    display: block;
}

.chanpin {
    width: 100%;
    height: 100%;
    display: inline-block;
}

    .chanpin img {
        transition: transform 0.3s ease;
        display: block; /* 去除图片下方默认空白 */
    }

    .chanpin:hover img {
        transform: scale(1.2);
    }

.chanpinbox {
    position: relative;
    overflow: hidden;
    width: fit-content;
}

.chanpin:hover a {
    color: #fff;
}
/* ::before 伪元素用于创建渐变背景 */
.chanpinbox::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 100%; /* 初始状态完全隐藏 */
    bottom: 0;
    background: #2872f9; /* 渐变背景  linear-gradient(to right, transparent, blue)*/
    z-index: -1; /* 确保背景在图片之下 */
    transition: right 0.3s ease-in-out; /* 控制过渡效果 */
}

/* 当鼠标悬停时，改变 ::before 的宽度以展示渐变背景 */
.chanpinbox:hover::before {
    right: 0; /* 显示整个渐变背景 */
}

.ge_2_xd {
    background-color: #fff;
}

    .ge_2_xd:hover {
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        transform: translateY(-5px);
        transition: all 0.3s ease;
    }

.parent1 {
    display: flex;
    justify-content: center; /* 水平居中 */
    align-items: center; /* 垂直居中 */
}

.parent1left {
    display: flex;
    justify-content: left; /* 水平居中 */
    align-items: center; /* 垂直居中 */
}

.bigimg_txt {
    position: absolute;
    bottom: 0;
    padding: 20px 40px;
    font-size: 24px;
    background: rgba(0, 0, 0, 0.4);
    color: #fff;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}

.slider{position:relative;text-align:center; margin:0 auto;z-index:1}
.slider .bd,.slider .bd li,.slider .bd img{width:300px; height:272px}/*请给每个幻灯片套个div并设置id，通过id重置这个地方的宽度，达到自定义效果*/
.slider .bd{z-index:2;overflow:hidden}
.slider .bd ul{padding:0}
.slider .bd li{float:left;width: 100%;overflow:hidden; background-position:center; background-repeat:no-repeat}
.slider .bd li a{ display:block; width: 100%; height: 100%}
.slider .bd li img{display:block}
.slider .hd{ position: absolute; z-index: 3; left: 0; right: 0; bottom:10px; padding: 0 10px; text-align: center}
.slider .hd li{display:inline-block;text-align:center;margin-right:10px;cursor:pointer;background-color:#C2C2C2}
.slider .hd li.active{background-color:#222}
  /*圆点*/
  .dots li{width:10px; height:10px;font-size:0px;line-height:0px;border-radius:50%}
  /*数字*/
  .numbox li{width:20px; height:20px; line-height:20px; font-size:13px;font-family:Arial;font-weight:bold; text-indent:inherit}
  .numbox li.active{color:#fff}
  /*长方条*/
  .rectangle li{width:40px; height:10px;font-size:0px;line-height:0px}

.item-a {
    grid-area: a;
}

.item-b {
    grid-area: b;
}

.item-c {
    grid-area: c;
}

.item-d {
    grid-area: d;
}

.item-e {
    grid-area: e;
}

.bge8f0ff {
    background-color: #e8f0ff;
}

.bgffffff {
    background-color: #ffffff;
}

.bgebf5ff {
    background-color: #ebf5ff;
}
.bg2b9ef7 {
    background: #2b9ef7
}
.color2872f9 {
    color: #2872f9;
}

.color4e7ed8 {
    color: #4e7ed8;
}

.child {
    /* 子 div 样式 */
    width: 200px;
    height: 100px;
    background: #3498db;
}

.ge_2c {
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 20px;
}

/*.ge_2d {
    display: grid;
    grid-template-columns: 2fr 3fr;
    gap: 20px;
}*/

.ge_6 {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 40px;
}
.ge_6a {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 5px;
}

.yqlj {
    display: none;
}

.right_box1 {
    background-color: #fff;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    box-shadow: 0 -8px 8px rgba(0,0,0,0.1);
    padding: 2rem;
}

.content {
    word-break: break-all;
    font-size: 16px;
    color: #333;
    line-height: 28px;
    letter-spacing: 2px;
}

    .content p {
        text-indent: 2em;margin-top:15px
    }



    .content img {
        max-width: 100%;
        height: auto;
        display: block;
        margin: 2rem auto;
    }




    .content h2, .content h3, .content h4 {
        margin: 10px 0 8px 0;
        color: #217aff;
        position: relative;
        display: inline-block;
        z-index: 1;
        padding-left: 1rem;
        font-style: oblique 20deg;
        border-left: 5px solid #217aff;
        padding-left: 12px;
        margin-top: 1.2em;
        margin-bottom: 0.8em;
        line-height: 1.4;
    }

     







    .content p a, .content p a:link, .content p a:visited {
        text-decoration: none;
        color: #2a88e8
    }

/**/


@media (min-width: 768px) {
    .ge_4 {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 40px;
    }
    .ge_4a {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 5px;
    }

    .ge_3 {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 40px;
    }

    .ge_2 {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 40px;
    }

    .ge_2b {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 40px;
    }

    .ge_6 {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 40px;
    }
    .ge_6a {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 5px;
    }

    .f-50 {
        font-size: 50px;
    }

    .f-100 {
        font-size: 100px;
    }

    .f-30 {
        font-size: 30px;
    }

    .ge_5 {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(3, 1fr);
        grid-template-areas: " a a a "
            " b c d "
            " e e e ";
        gap: 40px;
    }
}

@media (min-width: 1024px) {
    .pcphone {
        display: none;
    }

    .ge_6 {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 40px;
    }

    .yqlj {
        display: block;
    }

    #kfbox {
        display: block;
    }

    .ge_2d {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 0px;
    }

    .ge_2e {
        display: grid;
        grid-template-columns: 3fr 1fr;
        gap: 40px;
    }

    .ge_2f {
        display: grid;
        grid-template-columns: 1fr 4fr;
        gap: 40px;
    }
    .ge_6a {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 5px;
    }
}


@media (min-width: 1024.1px) {
    .pcphone {
        display: block;
    }

    #kfbox {
        display: block;
    }

    #pcmenu {
        display: block
    }

    #phonemenu, #phonemenu3 {
        display: none;
    }
    .phoneshow {
        display: block !important
    }

    .ge_4 {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: 40px;
    }
    .ge_4a {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: 5px;
    }

    .ge_3 {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 40px;
    }

    .ge_2 {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 40px;
    }

    .ge_2_xd {
        display: grid;
        grid-template-columns: 1fr 4fr;
        ;
        gap: 20px;
    }

    .ge_2b {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 40px;
    }

    .ge_6 {
        display: grid;
        grid-template-columns: repeat(6, 1fr);
        gap: 40px;
    }

    .ge_5 {
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        grid-template-rows: repeat(1, 1fr);
        grid-template-areas: " a b c d e  ";
        gap: 40px;
    }

    .f-50 {
        font-size: 50px;
    }

    .f-100 {
        font-size: 100px;
    }

    .f-30 {
        font-size: 30px;
    }
    .ge_6a {
        display: grid;
        grid-template-columns: repeat(6, 1fr);
        gap: 5px;
    }
}

/*产品图*/

#ifocus {
    width: 100%;
    height: 100%;
    position: relative;
}

#ifocus_pic {
    display: inline;
    float: left;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

#ifocus_piclist li {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

#ifocus_piclist img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    min-height: 272px;
}

#ifocus_btn {
    float: left;
    margin-top: 9px;
    width: 78px;
    padding-right: 5px;
    position: absolute;
    z-index:3
}
    #ifocus_btn ul {
    list-style:none;padding:0px;
    }

    #ifocus_btn li {
        width: 78px;
        height: 78px;
        margin-bottom: 5px;
        cursor: pointer;
        opacity: 0.5;
    }

    #ifocus_btn img {
        width: 64px;
        height: 64px;
        margin: 5px 0 0 10px;
    }

    #ifocus_btn .on {         
        opacity: 1;        
    }
        #ifocus_btn .on img {
            border: 3px solid fff
        }

#ifocus_opdiv {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 340px;
    height: 35px;
    background: #000;
    opacity: 0.5;
    -moz-opacity: 0.5;
    filter: alpha(opacity=50);
}

#ifocus_tx {
    position: absolute;
    left: 8px;
    bottom: 8px;
    color: #FFF;
}

    #ifocus_tx ul li {
        display: none;
    }

        #ifocus_tx ul li a {
            color: #fff;
            font-size: 14px;
            font-weight: bold;
        }
